/*@unused@*/
static char *ppplc_mgsids_c_rcs_id = "$Header: /diskb/home/alexis/dev/supported/ppplc/bin/RCS/ppplc_msgids.c,v 1.3 1999/05/07 14:41:11 alexis Exp $";

/*******************************************************************************
*
*  System Includes
*
*******************************************************************************/

#include <stdio.h>			/* for NULL */

/*******************************************************************************
*
*  Application Includes
*
*******************************************************************************/

#include "sm.h"				/* for msginfrec */
#include "ppplc_msgids.h"		/* for MSGID_* */

/*******************************************************************************
*
*  Global Data Definitions (for state machine interface)
*
*******************************************************************************/

struct msginfrec svrmsginfo_data[] = {
    { MSGID_EXEC_PPPD,              0, "exec pppd"           },
    { MSGID_OK_PPPD,                0, "ok pppd"             },
    { MSGID_NOK_PPPD,               0, "nok pppd"            },
    { MSGID_SET_QUIT,               0, "set quit"            },
    { MSGID_EXEC_IPUP,              1, "exec ipup"           },
    { MSGID_EXEC_QTEST,             0, "exec qtest"          },
    { MSGID_OK_QTEST,               0, "ok qtest"            },
    { MSGID_NOK_QTEST,              0, "nok qtest"           },
    { MSGID_EXEC_WANNABE_CHANGED,   0, "exec wannabechanged" },
    { MSGID_OK_WANNABE_CHANGED,     0, "ok wannabechanged"   },
    { MSGID_NOK_WANNABE_CHANGED,    0, "nok wannabechanged"  },
    { MSGID_EXEC_SNDMAIL,           0, "exec sndmail"        },
    { MSGID_OK_SNDMAIL,             0, "ok sndmail"          },
    { MSGID_NOK_SNDMAIL,            0, "nok sndmail"         },
    { MSGID_EXEC_SNDNEWS,           0, "exec sndnews"        },
    { MSGID_OK_SNDNEWS,             0, "ok sndnews"          },
    { MSGID_NOK_SNDNEWS,            0, "nok sndnews"         },
    { MSGID_EXEC_GETMAIL,           0, "exec getmail"        },
    { MSGID_OK_GETMAIL,             0, "ok getmail"          },
    { MSGID_NOK_GETMAIL,            0, "nok getmail"         },
    { MSGID_EXEC_GETNEWS,           0, "exec getnews"        },
    { MSGID_OK_GETNEWS,             0, "ok getnews"          },
    { MSGID_NOK_GETNEWS,            0, "nok getnews"         },
    { MSGID_EXEC_USECNT,            1, "exec usecnt"         },
    { MSGID_OK_USECNT,              0, "ok usecnt"           },
    { MSGID_NOK_USECNT,             0, "nok usecnt"          },
    { MSGID_USECNT_RESPONSE,        1, "set usecount"        },
    { MSGID_EXEC_ANNOUNCE,          1, "exec announce"       },
    { MSGID_QTEST_RESPONSE,         1, "set quality"         },
    { MSGID_EXEC_IPDOWN,            0, "exec ipdown"         },
    { MSGID_SET_IDLEPARS,           1, "set idlepars"        },
    { MSGID_SET_QUALITY,            2, "set qualitypars"     },
    { MSGID_SET_DONEWS,             0, "set donews 1"        },
    { MSGID_UNSET_DONEWS,           0, "set donews 0"        },
    { MSGID_NOACTION,               0, "req null"            },
    { MSGID_HANGUP,                 0, "set hangup"          },
    { MSGID_INFO_REQ,               1, "req info"            },
    { MSGID_LOAD_CONFIG,            0, "req loadconfig"      },
    { MSGID_GEN_CONFIG,             0, "req genconfig"       },
    { MSGID_SET_DEBUG,              1, "set debug"           },

/*
 *  This next one should not be *here* - it should be in the state machine
 *  itself. This really necessitates a separate table, and fair bit of
 *  modifications to table-scanning code.
 */

    { MSGID_DEL_MSGID,              1, "delete msgs"         },
    { MSGID_SET_AUTORECONNECT,      0, "set arc 1"           },
    { MSGID_UNSET_AUTORECONNECT,    0, "set arc 0"           },
    { MSGID_EXEC_MISC,              0, "exec misc"           },
    { MSGID_EXEC_MAIL,              0, "exec mail"           },
    { MSGID_OK_MAIL,                0, "ok mail"             },
    { MSGID_NOK_MAIL,               0, "nok mail"            },
    { MSGID_EXEC_NEWS,              0, "exec news"           },
    { MSGID_OK_NEWS,                0, "ok news"             },
    { MSGID_NOK_NEWS,               0, "nok news"            },
    { MSGID_INFO_DATA,              40, "info data"          },
    { MSGID_PSEUDO_LAST,            0, NULL                  }
};
